Workspace
Sales dashboard
Opportunity count and value per stage (in base currency), SLA overruns, companies due for a visit, next steps, upcoming items and weekly targets.
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Scope:
crm.readQuery parameters
scopestringoptionalEmpty = default for my role,
team = whole team (admins).Request
curl https://ornek.solk.app/api/v1/dashboard \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/dashboard", {
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.get(
"https://ornek.solk.app/api/v1/dashboard",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
)
print(r.json())Response
{
"k": {
"ac": 9,
"at_risk": 0,
"demo_all": 28,
"demo_ok": 22,
"demo_open": 6,
"ok_visits": 29,
"open_actions": 13,
"opp_value": 11243660.0,
"opp_weighted": 5169831.0,
"opps": 28,
"overdue_actions": 9,
"overdue_visits": 1,
"pot_kg": 331000.0,
"prospect": 21,
"prospect_pot": 21,
"soon_actions": 30,
"soon_visits": 0
},
"last_demos": [
{
"action_date": "2026-10-06",
"action_done": false,
"action_state": "soon",
"customer_id": 19,
"date": "2026-10-01",
"id": 19,
"line": "",
"next_action": "Takip",
"opp_id": 19,
"product": "HS 30 Isıl Yapışma Laki",
"product_id": 5,
"result": "Beklemede",
"rid": "a0DuuEJElBgUsAw",
"status": "Deneme Gönderildi, Yapılması Bekleniyor",
"tech_note": "Numune hatta; sonuç bekleniyor.",
"user": "Deniz Aksoy"
},
{
"action_date": "2026-10-03",
"action_done": false,
"action_state": "soon",
"customer_id": 20,
"date": "2026-09-23",
"id": 20,
"line": "",
"next_action": "Takip",
"opp_id": 20,
"product": "PU-SB 450 Solvent Bazlı Yapıştırıcı",
"product_id": 3,
"result": "Beklemede",
"rid": "a0DLsCXfV1D035V",
"status": "Deneme Gönderildi, Yapılması Bekleniyor",
"tech_note": "Numune hatta; sonuç bekleniyor.",
"user": "Deniz Aksoy"
}
],
"mine": false,
"n_actions": 52,
"never_visited": 0,
"next_steps": [
{
"bant": 4,
"base_currency": "EUR",
"close_date": "2027-01-16",
"cur_sym": "€",
"currency": "EUR",
"customer": "Hanımeli Etiket San. Tic. Ltd. Şti.",
"customer_city": "Adana",
"customer_id": 23,
"days_in_stage": 74,
"detail_status": "",
"fc": "Best Case",
"health": {
"grade": "warning",
"label": "dikkat",
"score": 60
},
"health_color": "g",
"health_manual": true,
"health_note": "",
"id": 23,
"initials": "HE",
"is_account": false,
"is_open": true,
"last_update": "2026-09-30",
"lifetime_left": 69,
"line": "",
"name": "Mevcut Müşteri — Yenileme · 2026",
"next_step": "Deneme tarihini planla",
"offer_price": null,
"owner": {
"full_name": "Deniz Aksoy",
"id": 1,
"role": "admin",
"role_label": "Yönetici",
"username": "admin"
},
"payment_days": null,
"potential_kg": 12000.0,
"prob": 0.5,
"probability": null,
"product": "PU-SL 350 Yüksek Performans (retort)",
"product_id": 2,
"pu": "€/kg",
"rid": "006LsST7gv514nh",
"sla_days": 60,
"sla_left": -14,
"source": "Web formu",
"stage": "Present Solution",
"stage_label": "Present Solution",
"start_date": "2026-06-13",
"trend": "up",
"trend_label": "Yeşil",
"type": "Mevcut Müşteri — Yenileme",
"unit": "kg",
"unit_code": "kg",
"value": 806000.0,
"value_base": 806000.0,
"value_short": "806K"
},
{
"bant": 4,
"base_currency": "EUR",
"close_date": "2026-12-20",
"cur_sym": "€",
"currency": "EUR",
"customer": "Akasya Esnek Ambalaj San. ve Tic. A.Ş.",
"customer_city": "Bursa",
"customer_id": 25,
"days_in_stage": 68,
"detail_status": "",
"fc": "Pipeline",
"health": {
"grade": "warning",
"label": "dikkat",
"score": 66
},
"health_color": "y",
"health_manual": true,
"health_note": "",
"id": 25,
"initials": "AE",
"is_account": false,
"is_open": true,
"last_update": "2026-09-22",
"lifetime_left": 99,
"line": "",
"name": "Yeni Müşteri · 2026",
"next_step": "Numune gönder",
"offer_price": null,
"owner": {
"full_name": "Deniz Aksoy",
"id": 1,
"role": "admin",
"role_label": "Yönetici",
"username": "admin"
},
"payment_days": null,
"potential_kg": 8000.0,
"prob": 0.25,
"probability": null,
"product": "PU-SB 450 Solvent Bazlı Yapıştırıcı",
"product_id": 3,
"pu": "€/kg",
"rid": "006Hyi3NMdZrXvO",
"sla_days": 60,
"sla_left": -8,
"source": "Mevcut müşteri",
"stage": "Viable",
"stage_label": "Viable",
"start_date": "2026-07-13",
"trend": "flat",
"trend_label": "Otomatik",
"type": "Yeni Müşteri",
"unit": "kg",
"unit_code": "kg",
"value": 365000.0,
"value_base": 365000.0,
"value_short": "365K"
}
],
"ok": true,
"sla_over": 4,
"stage_counts": {
"Expect to Close": 4,
"Negotiation": 5,
"Present Solution": 6,
"Qualify": 7,
"Viable": 6
},
"stage_value": {
"Expect to Close": 1416240.0,
"Negotiation": 2424420.0,
"Present Solution": 2287000.0,
"Qualify": 2304000.0,
"Viable": 2812000.0
},
"upcoming": [
{
"date": "2026-10-02",
"head": "Reyhan Paketleme Ltd. Şti.",
"kind": "opp",
"sub": "Proje #10 · Expect to Close · sonraki adım",
"url": "/opportunities/10"
},
{
"date": "2026-10-02",
"head": "Yıldızlı Paketleme San. Tic. Ltd. Şti.",
"kind": "opp",
"sub": "Proje #19 · Present Solution · sonraki adım",
"url": "/opportunities/19"
}
],
"visit_due": [
{
"active": true,
"at_risk": false,
"city": "Adana",
"currency": "EUR",
"currency_default": "",
"id": 9,
"initials": "KP",
"last_visit": "2026-07-02",
"main_contact": {
"email": "ayse.aydin@kumsalplastik.example",
"name": "Ayşe Aydın",
"phone": "0 (322) 000 80 24",
"wa": "903220008024"
},
"name": "Kumsal Plastik Ambalaj San. ve Tic. A.Ş.",
"next_visit_due": "2026-09-30",
"open_opps": 0,
"owner": {
"full_name": "Deniz Aksoy",
"id": 1,
"role": "admin",
"role_label": "Yönetici",
"username": "admin"
},
"pending_state": null,
"period": 90,
"phone": "0 (322) 000 53 49",
"potential_kg": 12000.0,
"rid": "001t29x5kWbHOxg",
"sector": "Esnek ambalaj",
"status": "AC",
"status_label": "Aktif Müşteri",
"unit": "kg",
"visit_overdue_days": 2,
"visit_state": "overdue"
}
],
"week": {
"demos": 1,
"f2f": 3,
"f2f_target": 6,
"label": "28 Eyl – 4 Eki",
"n_sales": 1,
"sub_fresh": false,
"tasks_done": 2,
"tasks_due": 10,
"tasks_target": 12,
"visit_target": 10,
"visits": 7,
"we": "2026-10-04",
"ws": "2026-09-28"
}
}Example responses were captured from a v22 installation running sample data; lists are shortened to two items.